#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,320,704,768,896,960,1024,1088,1472,2944
 * N : 25,128,192,320,704,768,896,960,1024,1088,1472,2944
 * NB : 4,4,8,12,16,16,24,24,64,64,64,64
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 160) (nb_) = 4; \
   else if ((n_) < 256) (nb_) = 8; \
   else if ((n_) < 512) (nb_) = 12; \
   else if ((n_) < 832) (nb_) = 16; \
   else if ((n_) < 992) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
