#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,256,320,384,448,896,1088,1344,1856,3776
 * N : 25,192,256,320,384,448,896,1088,1344,1856,3776
 * NB : 4,8,8,16,32,64,24,64,64,64,64
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 4; \
   else if ((n_) < 288) (nb_) = 8; \
   else if ((n_) < 352) (nb_) = 16; \
   else if ((n_) < 416) (nb_) = 32; \
   else if ((n_) < 672) (nb_) = 64; \
   else if ((n_) < 992) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
