#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,288,576,864,1152,2376
 * N : 25,144,216,288,576,864,1152,2376
 * NB : 4,8,16,28,32,24,72,72
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 4; \
   else if ((n_) < 180) (nb_) = 8; \
   else if ((n_) < 252) (nb_) = 16; \
   else if ((n_) < 432) (nb_) = 28; \
   else if ((n_) < 720) (nb_) = 32; \
   else if ((n_) < 1008) (nb_) = 24; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
